@scottalanmiller So unfortunately none of the versions worked with our database any more. We even tried 1.11.2 and went back to 1.10.2 on mongodb 3.2 as well. Now, we've updated mongodb to 3.4 and picked up an old database backup to migrate from 3.2 to 3.4 on the latest nodebb (1.11.2). Its working properly now. However, a warning for people on older versions of mongodb when updating to 1.11.x onward.